# Generated by Django 4.1.2 on 2022-10-25 14:33

import pipelines.status
from django.db import migrations, models
import django_extensions.db.fields


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="PipelineExecution",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("pipeline_id", models.CharField(max_length=255, unique=True)),
                ("last_run", models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name="PipelineLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("pipeline_id", models.CharField(max_length=255)),
                ("run_id", models.CharField(blank=True, max_length=255)),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("PENDING", "PENDING"),
                            ("RUNNING", "RUNNING"),
                            ("DONE", "DONE"),
                            ("CONFIG_ERROR", "CONFIG_ERROR"),
                            ("VALIDATION_ERROR", "VALIDATION_ERROR"),
                            ("RUNTIME_ERROR", "RUNTIME_ERROR"),
                            ("CANCELLED", "CANCELLED"),
                        ],
                        max_length=255,
                    ),
                ),
                ("message", models.TextField(blank=True)),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="TaskLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("pipeline_task", models.CharField(max_length=255)),
                ("task_id", models.CharField(max_length=255)),
                ("run_id", models.CharField(blank=True, max_length=255)),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("PENDING", "PENDING"),
                            ("RUNNING", "RUNNING"),
                            ("DONE", "DONE"),
                            ("CONFIG_ERROR", "CONFIG_ERROR"),
                            ("VALIDATION_ERROR", "VALIDATION_ERROR"),
                            ("RUNTIME_ERROR", "RUNTIME_ERROR"),
                            ("CANCELLED", "CANCELLED"),
                        ],
                        default=pipelines.status.PipelineTaskStatus["PENDING"],
                        max_length=255,
                    ),
                ),
                ("message", models.TextField(blank=True)),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ValueStore",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("pipeline_id", models.CharField(max_length=255)),
                ("run_id", models.CharField(max_length=255)),
                ("key", models.CharField(max_length=255)),
                ("value", models.JSONField(blank=True, null=True)),
            ],
            options={
                "unique_together": {("pipeline_id", "run_id", "key")},
            },
        ),
        migrations.CreateModel(
            name="TaskResult",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("pipeline_id", models.CharField(max_length=255)),
                ("pipeline_task", models.CharField(max_length=255)),
                ("task_id", models.CharField(max_length=255)),
                ("run_id", models.CharField(max_length=255)),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("PENDING", "PENDING"),
                            ("RUNNING", "RUNNING"),
                            ("DONE", "DONE"),
                            ("CONFIG_ERROR", "CONFIG_ERROR"),
                            ("VALIDATION_ERROR", "VALIDATION_ERROR"),
                            ("RUNTIME_ERROR", "RUNTIME_ERROR"),
                            ("CANCELLED", "CANCELLED"),
                        ],
                        max_length=255,
                    ),
                ),
                ("config", models.JSONField(blank=True, null=True)),
                ("input_data", models.JSONField(blank=True, null=True)),
                ("started", models.DateTimeField(blank=True, null=True)),
                ("completed", models.DateTimeField(blank=True, null=True)),
            ],
            options={
                "unique_together": {("task_id", "run_id")},
            },
        ),
    ]
